<template>
   <ObModal
    ref="orderSaved"
    :edit-form="false"
    size="large"
    :title="title"
    :is-show-controls="false"
    :is-close-on-overlay="false"
    data-qa="orderSavedModal"
  >
    <slot />
  </ObModal>
</template>

<script>
  import ObModal from "common-components/src/obComponents/obModal";
  export default {
    components: {
      ObModal,
    },

    props: {
      title: {
        type: String,
        required: true
      }
    },

    methods: {
      open () {
        this.$refs.orderSaved.open()
      },
      close () {
        this.$refs.orderSaved.close()
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>